This package patches the web application server Zope to improve its cookie handling.
Currently, it defines register_cookie_param( name, type ='string', pname =None) to define additional parameters recognized when cookies are generated. name is the parameter given to Zope’s setCookie method, pname is the corresponding parameter name in the generated Set-Cookie response header. If not specified, pname is derived from name by replacing _ by -. type specifies this parameter’s type. Currently defined values are 'string' (normal string, quoted when it contains whitespace, comma or semicolon), 'quoted-string' (a string unconditionally quoted), 'boolean' (boolean parameter, only the name and no value is generated), sequence (generates a quoted comma separated sequence).
ATTENTION RFC 6265 has drastically simplified the Set-Cookie syntax (over the now obsolete RFC 2965): it is no longer possible to quote ; by including it in a doubly quoted string. This means that ; can no longer be part of a cookie attribute value (unless RFC 2047 encoded).
Import of dm.zopepatches.cookies.httponly provides for httponly support. It registers both httponly as well as http_only. The former is the spelling consistent with other cookie parameters, the latter is the spelling used by Zope 2.12.
History
2.0
Made compatible with Python 3 and Zope [4].
Made compatible with RFC 6025
Metadata
Release files for dm.zopepatches.cookies 2.0
For a detailed explanation of source distributions (sdists) and built distributions (wheels), please see the package formats documentation.
Source distribution (sdist)
| File | Size | Uploaded | Provenance | |
|---|---|---|---|---|
| dm.zopepatches.cookies-2.0.tar.gz | 5.2 kB | Without provenance | Details |
Security for dm.zopepatches.cookies 2.0
Provenance
Provenance describes where a file came from. On PyPI, provenance is shared via attestations, which provide a verifiable record of the build or publishing details. View details, limitations and caveats.
No provenance found
None of the files in this release were uploaded with provenance metadata.
A note on package security
PyPI is a repository for distributing packages, not a service for auditing them. While third-party security researchers and our staff do their best to detect and remove malicious packages, PyPI cannot guarantee the quality, security or suitability of any given package.
To learn more about protecting yourself from malicious actors, visit our package security documentation.